package com.xunmei.core.resumption.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xunmei.core.resumption.domain.AppResumptionData;
import com.xunmei.core.resumption.vo.ResumptionInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 履职数据表(t_app_resumption_data)数据Mapper
 *
 * @author oygj
 * @since 2022-05-05 17:35:14
 * @description 由 Mybatisplus Code Generator 创建
*/
@Mapper
public interface AppResumptionDataMapper extends BaseMapper<AppResumptionData> {

    List<Map<String, Object>> findTaskDataList(Map<String, Object> map);

    List<Map<String, Object>> findCheckDataList(Map<String, Object> map);

    List<Map<String, Object>> findAreaListPlan(String taskid);

    List<Map<String, Object>> findTaskDataListNew(String taskid);

    List<Map<String, Object>> findCheckDataListNew(String taskid);
    List<ResumptionInfoVo> findDataByTaskId(@Param("taskId") String taskId);

    List<AppResumptionData> findDataByPointBusinessType(Map<String, Object> map);

    void updateData(String taskId);
}
